### Hierarchy

- XmlComponent
  - TableRow

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- addGridSpan
- delete
- getCell
- mergeCells
- prepForXml

## Constructors

### constructor

- new TableRow(cells: TableCell[]): TableRow

- Overrides XmlComponent.constructor

  - Defined in file/table/table-row/table-row.ts:7

  #### Parameters

  - ##### cells: TableCell[]

  #### Returns TableRow

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addGridSpan

- addGridSpan(index: number, cellSpan: number): TableCell

- - Defined in file/table/table-row/table-row.ts:26

  #### Parameters

  - ##### index: number

  - ##### cellSpan: number

  #### Returns TableCell

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### getCell

- getCell(ix: number): TableCell

- - Defined in file/table/table-row/table-row.ts:16

  #### Parameters

  - ##### ix: number

  #### Returns TableCell

### mergeCells

- mergeCells(startIndex: number, endIndex: number): TableCell

- - Defined in file/table/table-row/table-row.ts:35

  #### Parameters

  - ##### startIndex: number

  - ##### endIndex: number

  #### Returns TableCell

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

Generated using TypeDoc